> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fivemanage.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ingest Logs

> Submit one or more log entries to the logging system.



## OpenAPI

````yaml /openapi.json post /v3/logs
openapi: 3.0.0
info:
  description: >-
    This is the API server for Fivemanage, providing endpoints for media
    management, logging, and SDK integration.
  title: Fivemanage API
  termsOfService: https://fivemanage.com/legal/terms-of-service
  contact:
    name: Support
    email: support@fivemanage.com
  version: '1.0'
servers:
  - url: https://api.fivemanage.com/api
security: []
paths:
  /v3/logs:
    post:
      tags:
        - Logging
      summary: Ingest Logs
      description: Submit one or more log entries to the logging system.
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/api.LogRequest'
        description: Log entries (array of objects)
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.SuccessResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.LogRequest:
      type: object
      properties:
        level:
          type: string
        message:
          type: string
        metadata:
          type: object
          additionalProperties: {}
        resource:
          type: string
    api.SuccessResponse:
      type: object
      properties:
        status:
          type: string
          example: ok
    api.ErrorResponse:
      type: object
      properties:
        error:
          type: string
          example: Error message
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: Authorization
      in: header

````